<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0"
         xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
         xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/xsd/maven-4.0.0.xsd">
    <modelVersion>4.0.0</modelVersion>

    <!-- GENERAL INFORMATION -->
    <groupId>es.bsc.compss</groupId>
    <artifactId>matmul</artifactId>
    <packaging>jar</packaging>
    <parent>
        <groupId>es.bsc.compss</groupId>
        <artifactId>auto-cbm</artifactId>
        <version>2.6.rc1912</version>
        <relativePath>../../</relativePath>
    </parent>

    <!-- PROJECT INFORMATION -->
    <name>Matmul</name>
    <description>Matrix Multiplication application</description>
    <url>http://www.bsc.es</url>
    <inceptionYear>2014</inceptionYear>
    <licenses>
        <license>
            <name>Apache License, Version 2.0</name>
            <url>http://www.apache.org/licenses/LICENSE-2.0.html</url>
        </license>
    </licenses>
    <organization>
        <name>BSC</name>
        <url>http://www.bsc.es</url>
    </organization>

    <!-- DEPENDENCIES -->
    <dependencies>
        <dependency>
            <groupId>es.bsc.compss</groupId>
            <artifactId>compss-annotations</artifactId>
        </dependency>
    </dependencies>

    <!-- BUILD -->
    <build>
        <finalName>${project.artifactId}</finalName>
        <plugins>
            <plugin>
                <artifactId>maven-compiler-plugin</artifactId>
                <version>${maven-compiler-plugin.version}</version>
                <configuration>
                    <source>${maven.compiler.source}</source>
                    <target>${maven.compiler.target}</target>
                </configuration>
            </plugin>

            <plugin>
                <groupId>org.apache.maven.plugins</groupId>
                <artifactId>maven-dependency-plugin</artifactId>
                <executions>
                    <execution>
                        <id>copy</id>
                        <phase>validate</phase>
                        <goals>
                            <goal>copy-dependencies</goal>
                        </goals>
                        <configuration>
                            <outputDirectory>${project.build.directory}/lib</outputDirectory>
                            <silent>true</silent>
                        </configuration>
                    </execution>
                </executions>
            </plugin>
        </plugins>
    </build>
</project>
